<?php

namespace Treewec\Holders;

/**
 * Test class for ArrayHolder.
 * Generated by PHPUnit on 2012-03-25 at 16:40:04.
 * @group holder
 */
class ArrayHolderTest extends \PHPUnit_Framework_TestCase {

    private $array;    
    private $exceptionHelper;
    
    protected function setUp() {
        $this->array = array(1, 3);
        $this->exceptionHelper = new \Treewec\ExceptionHelper();
    }

    public function test__construct() {
        $this->assertException('hello');
        $this->assertException(array(1, array()));
        $this->assertException(array(new \Exception()));        
    }

    public function testGet() {
        $arrayHolder = new ArrayHolder($this->array);
        parent::assertEquals($this->array, $arrayHolder->get());
        parent::assertEquals(count($this->array), count($arrayHolder->get()));
    }

    private function assertException($parameter) {        
        $this->exceptionHelper->catchExceptionInConstructor(
                '\Treewec\Exceptions\HolderException', '\Treewec\Holders\ArrayHolder', $parameter
        );
    }
}

?>